/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/input/gameinput.cpp

*/

/*

class CMappingControl {
public:
    CSGXInputManager::tControl    ctrl;
    tBOOL      (*pFnForButtons)(CMappingControl *pControl);
    tBOOL      (*pFnForPosition)(CMappingControl *pControl);
    tMEM_SIZE   iUserData;
    tREAL32    fUserData;
};


void
initializePS2ConfigOne()
{
    registerControl(eCtlFire, ePS2ShoulderR1);
    registerControl(eCtlFire2, ePS2ShoulderR2);
    registerControl(eCtlstepLeft, ePS2Square);
    registerControl(eCtlstepRight, ePS2Circle);
    // ... and so on ...
}


tBOOL
StdGetButtonDownLeft(CMappingControl *pControl)
{
    if (CSGXInputManager::get()->IsControlButton(pControl->ctrl)) {
        return CSGXInputManager::get()->IsButtonDown(pControl->ctrl);
    }
    if (CSGXInputManager::get()->GetStickPosition(pControl->ctrl) < 0) {
        return TRUE;
    }
    return FALSE; 
}
*/

/*
Which is then tied to the button with an improved version of the registerControl function.

registerControl(eCtlstepLeft, ePS2Square, StdGetButtonDownLeft);
*/
